> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To update the user details.

<Note>
  This API requires JWT generated by an application created only from the Admin Console.
</Note>

| Field             | Value                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | PUT                                                                                                                             |
| **Endpoint**      | `https://{{host}}/api/public/users`                                                                                             |
| **Content Type**  | `application/json`                                                                                                              |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token). |
| **API Scope**     | App Builder: Not Applicable; Admin Console: User Management > User Management                                                   |

## Path Parameters

| Parameter | Description                                              |
| --------- | -------------------------------------------------------- |
| `host`    | Environment URL, for example, `https://platform.kore.ai` |

## Sample Request

```json theme={null}
curl -X PUT 'https://{{host}}/api/public/users' \
  -H 'Content-Type: application/json' \
  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \
  -d '{
    "users": [
        {
            "userInfo": {
                "emailId": "john.doe@example.com",
                "firstName":"john",
                "lastName":"doe",
                "companyName":"company_name",
                "dept":"dept",
                "companyContactPhone":"12334444",
                "worknumber":"321",
                "street":"street",
                "suiteNo":"suite",
                "city":"city",
                "zip":"123123",
                "state":"state",
                "country":"country"
            },
            "groups": {
                "addTo": [
                    "e-f9c09c08-9310-52ff-b672-570ec73xxxxx"
                ]
            },
            "roles": {
                "addTo": [
                    {
                        "roleId": "5d9d8db3x0d54920a8dfxxxxx",
                        "botId": "st-b8525f88-6dd3-54a7-8a97-734ecb7xxxxx"
                    }
                ],
                "removeFrom": [
                    {
                        "roleId": "5d9d920dabdc1e6e8ec99342",
                        "botId": "st-16511425-15c5-5cdf-b652-a796db7xxxxx"
                    }
                ]
            },
            "canCreateBot": true,
            "isDeveloper": true
        }
    ]
}'
```

## Body Parameters

| Parameter                                  | Required | Description                                                                                                   |
| ------------------------------------------ | -------- | ------------------------------------------------------------------------------------------------------------- |
| `users`                                    | Required | The array of details for each user that need to be updated.                                                   |
| `userInfo.emailId` or `userInfo.orgUserId` | Required | Email IDs or the org user ID of the user being updated.                                                       |
| `userInfo.firstName`                       | Optional | First name of the user if needs to be updated.                                                                |
| `userInfo.lastName`                        | Optional | Last name of the user if needs to be updated.                                                                 |
| `userInfo.companyName`                     | Optional | Company to which the user needs to be updated.                                                                |
| `userInfo.dept`                            | Optional | Department to which the user needs to be updated.                                                             |
| `userInfo.companyContactPhone`             | Optional | Contact Phone of the Company to which the user belongs.                                                       |
| `userInfo.worknumber`                      | Optional | Work number of the user if needs to be updated.                                                               |
| `userInfo.street`                          | Optional | Street Address of the user if needs to be updated.                                                            |
| `userInfo.suiteNo`                         | Optional | Suite No Address of the user if needs to be updated.                                                          |
| `userInfo.city`                            | Optional | City Address of the user if needs to be updated.                                                              |
| `userInfo.zip`                             | Optional | Zip Address of the user if needs to be updated.                                                               |
| `userInfo.state`                           | Optional | State Address of the user if needs to be updated.                                                             |
| `userInfo.country`                         | Optional | Country Address of the user if needs to be updated.                                                           |
| `groups`                                   | Optional | Array of group IDs to which the user needs to be added (`addTo`) or removed (`removeFrom`).                   |
| `roles`                                    | Optional | Array of `roleId-botId` combinations to which the user needs to be added (`addTo`) or removed (`removeFrom`). |
| `assignBotTasks`                           | Optional | Array of AI Agents to be assigned to the user. If not present, the current assignment will be retained.       |
| `canCreateBot`                             | Optional | Determines if the specified users can create AI Agents. Default: `true`.                                      |
| `isDeveloper`                              | Optional | Determines if the specified users can have access to App Builder. Default: `true`.                            |

## Sample Response

```json theme={null}
{
    "msg": "Users are updated Successfully"
}
```
